<template>
  <b-container fluid>
    <b-row>
      <b-col>
        <b-row
          ><b-col><h3>ข้อมูลส่วนตัวบริษัท</h3></b-col></b-row
        >
        <b-card-group deck>
          <b-card>
            <b-card-text>
              <b-card-group>
                <b-col id="colLogo" cols="5">
                  <div id="logoBorder">
                    <b-card-img
                      src="https://www.nicepng.com/png/full/192-1921815_-corgi-cartoon-face.png"
                      id="logoCompany"
                    ></b-card-img>
                  </div>
                </b-col>
                <b-col id="colNameCompany" cols="5"
                  ><b-row>{{ currentCompany.companyName }}</b-row>
                  <b-row
                    id="rowStatusPassed"
                    v-if="currentCompany.statusCheckCompany === 'passed'"
                  >
                    ผ่านการตรวจสอบ
                  </b-row>
                  <b-row id="rowStatusFailed" v-else>
                    รอการตรวจสอบ
                  </b-row></b-col
                >
                <b-col cols="1"></b-col>
              </b-card-group>
              <div class="text-left" id="dataCompany">
                <b-row class="detail"
                  ><b-col>ชื่อบริษัท : </b-col
                  ><b-col cols="9">{{ currentCompany.companyName }}</b-col>
                </b-row>
                <b-row class="detail"
                  ><b-col>ลักษณะ :</b-col
                  ><b-col cols="9">{{ currentCompany.styleBusiness }}</b-col>
                </b-row>
                <b-row class="detail"
                  ><b-col>สวัสดิการ :</b-col
                  ><b-col cols="9">{{ currentCompany.security }}</b-col></b-row
                >
                <b-row class="detail"
                  ><b-col>ที่อยู่ :</b-col>
                  <!-- maybe looping to get address!!! -->
                  <b-col cols="9">
                    {{ currentCompany.addressCompany.number }}
                    ซอย
                    {{ currentCompany.addressCompany.lane }} หมู่
                    {{ currentCompany.addressCompany.villageNo }} ตำบล/แขวง
                    {{ currentCompany.addressCompany.district }} อำเภอ/เขต
                    {{ currentCompany.addressCompany.subDistrict }} จังหวัด
                    {{ currentCompany.addressCompany.province }} รหัสไปรษณีย์
                    {{ currentCompany.addressCompany.postalCode }}</b-col
                  ></b-row
                >
                <b-row class="detail"
                  ><b-col>เบอร์โทรศัพท์ :</b-col
                  ><b-col cols="9">{{
                    currentCompany.telCompany
                  }}</b-col></b-row
                >
                <b-row class="detail"
                  ><b-col>E-mail :</b-col
                  ><b-col cols="9">{{ currentCompany.email }}</b-col></b-row
                >
              </div>
            </b-card-text>
            <b-row>
              <b-col cols="9"></b-col>
              <b-col
                ><router-link to="/editProfile"
                  ><b-button variant="warning">แก้ไข</b-button></router-link
                ></b-col
              >
            </b-row>
          </b-card>
        </b-card-group></b-col
      >
      <!-- declare -->
      <b-col id="declare">
        <!-- row last posting -->
        <b-row>
          <h6>ประกาศล่าสุด</h6>
          <!-- loop declares -->
          <div v-for="declare in declareList" :key="declare.id" id="posting">
            <b-col cols="6" id="declareOne">
              <b-card>
                <b-row>
                  <!-- img -->
                  <b-col cols="4" id="setBoderMini"
                    ><b-card-img
                      src="https://www.nicepng.com/png/full/192-1921815_-corgi-cartoon-face.png"
                    ></b-card-img
                  ></b-col>
                  <!-- detail -->
                  <b-col id="dataDetail">
                    <b-row>
                      <b-col cols="3"
                        ><b-img
                          width="25%"
                          src="https://training-saraburi.cdd.go.th/wp-content/uploads/sites/149/2018/08/person-outline-icon-png-person-outline-icon-png-person-17.png"
                        ></b-img
                      ></b-col>
                      <b-col
                        ><b> {{ declare.position.positionName }}</b></b-col
                      >
                    </b-row>
                    <b-row>ประเภทงาน : {{ declare.position.workType }}</b-row>
                    <b-row>
                      <b-col cols="4" id="setCol" v-if="declare.position.gender === 'F'"
                        >เพศ : {{ genderF }}</b-col
                      >
                      <b-col cols="4" id="setCol" v-else-if="declare.position.gender === 'M'"
                        >เพศ : {{ genderM }}</b-col
                      >
                      <b-col cols="4" id="setCol" v-else
                        >เพศ : ไม่ระบุ</b-col
                      >
                      <b-col id="setCol"
                        >อายุ :
                        {{ declare.position.age }}
                        ปี</b-col
                      >
                    </b-row>
                    <b-row
                      ><b-col cols="4" id="setCol"
                        >อัตรา : {{ declare.position.rate }}</b-col
                      >
                      <b-col id="setCol"
                        >เงินเดือน :
                        {{ declare.position.salary }}
                        บาท</b-col
                      ></b-row
                    >
                    <b-row>ลงวันที่ {{ declare.dateStart }}</b-row>
                  </b-col>
                </b-row>
                <b-row id="btnDetail"
                  ><router-link
                    :to="{ name: 'DetailDeclare', params: { id: declare._id } }"
                    ><b-button variant="info"
                      >ดูข้อมูลเพิ่มเติม</b-button
                    ></router-link
                  ></b-row
                >
              </b-card>
            </b-col>
          </div>
        </b-row>
        <!-- row top form -->
        <b-row id="btnDeclares" v-if="this.declareList.length > 0">
          <router-link to="/declare"
            ><b-button variant="success">ดูประกาศทั้งหมด</b-button></router-link
          >
        </b-row>
        <b-row v-else>
          <b-col id="notFound">ไม่พบประกาศของคุณ</b-col>
        </b-row>
      </b-col>
    </b-row>
  </b-container>
</template>
<style>
@import '../css/HomeCompany.css';
</style>
<script>
import companyService from '../Service/company'
import declareService from '../Service/declarList'
// import axios from 'axios'
export default {
  data () {
    return {
      declares: [],
      currentCompany: {},
      declareList: [],
      genderF: 'หญิง',
      genderM: 'ชาย'
    }
  },
  methods: {
    getCompany () {
      // axios
      //   .get('http://127.0.0.1:3000/company/603cdb546ae2153820a91a1b')
      //   .then(res => {
      //     // console.log(res.data)
      //     this.currentCompany = res.data
      //   })
      //   .catch(err => {
      //     console.log(err)
      //   })
      this.currentCompany = companyService.getcompany(1)
    },
    getDaclare () {
      this.declareList = []
      // axios
      //   .get('http://127.0.0.1:3000/declare/recent/1')
      //   .then(res => {
      //     console.log(res.data)
      //     this.declareList = res.data
      //   })
      //   .catch(err => {
      //     console.log(err)
      //   })
      this.declareList = declareService.getLastDeclares(this.currentCompany)
      console.log('declarelist : ')
      console.log(this.declareList)
    }
  },
  mounted () {
    console.log('Vue is Home Company page')
    this.getCompany()
    this.getDaclare()
  }
}
</script>
